<?php
/**
 * @version        Somao_Search X1.0 9:23 2012-1-1 Somao $
 * @package        Somao_Search.Site
 * @copyright      Copyright (c) 2009 - 2012, Somao, Inc.
 * @license        http://www.somao123.com/
 * @link           http://www.somao.cc/
**/
require "global.php";
if($rank<1){
	echo "您好，你暂时无该功能权限!";
	exit();
}

$php=$_GET["php"].".php";
$html=$_GET["html"].".html";
ob_start();
require $php;
$file=ob_get_contents();
ob_end_clean();
 $fp=@fopen($html,"w") or die("写方式打开文件失败，请检查程序目录是否为可写");//配置conn.php文件
@fputs($fp,$file."<div style=\"display:none\">http://www.somao123.com/</div>") or die("文件写入失败,请检查程序目录是否为可写"); 
 @fclose($fp);
echo "生成成功!";
?>